Skip to main content
GET
/
files
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.files.list({});

  console.log(result);
}

run();
{
  "object": "list",
  "data": [
    {
      "object": "<string>",
      "id": "<string>",
      "source_type": {},
      "upload_status": {},
      "url": {},
      "created_at": {},
      "updated_at": {},
      "filename": "<string>",
      "content_type": "<string>",
      "size": 123,
      "provider": "<string>",
      "file_url": "<string>"
    }
  ],
  "has_more": true,
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Query Parameters

starting_after
string

Cursor for pagination — the ID of the last item in the previous page

limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
source_type
enum<string>

Filter by source type

Available options:
upload,
external

Response

List of files

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required
url
string
required